QGIS Application - Bug report #7921
Wrong Primary Keys when adding PostGIS Layer
2013-05-28 01:57 AM - Florian Petry

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 16792
Description

When adding a PostGIS Layer the found primary keys of some layers are wrong.
Instead of a dropdown with actual columns of this table, a dropdown with the name of the geometry column and a seemingly arbitrary
other column of another schema is shown.

After inserting the right index is used (seen in metadata).

History

#1 - 2013-05-28 02:01 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category set to Data Provider/PostGIS

Is this a regression since 1.8 ?

#2 - 2013-05-28 02:06 AM - Jiirgen Fischer

Do you have anything reproducable?

#3 - 2013-05-28 03:06 AM - Florian Petry

Just tried with a fresh install of 1.8: There are no primary keys found.

Where the dropdown fields are in master, there is empty space in 1.8.

| can reproduce this here with master, with my whole set of tables. | have no minimal example or something...

#4 - 2014-10-31 03:21 PM - Jiirgen Fischer

- Resolution set to worksforme

closing for the lack of (useful) feedback.

#5 - 2015-01-10 01:59 PM - Juirgen Fischer
- Status changed from Feedback to Closed
